App\Library\Amazon\Classes\LightingAccessories:
    xml_root_name: LightingAccessories
    properties:
        baseDiameter:
            expose: true
            access_type: public_method
            serialized_name: BaseDiameter
            accessor:
                getter: getBaseDiameter
                setter: setBaseDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        circuitBreakerInstallationType:
            expose: true
            access_type: public_method
            serialized_name: CircuitBreakerInstallationType
            accessor:
                getter: getCircuitBreakerInstallationType
                setter: setCircuitBreakerInstallationType
            type: string
        circuitBreakerType:
            expose: true
            access_type: public_method
            serialized_name: CircuitBreakerType
            accessor:
                getter: getCircuitBreakerType
                setter: setCircuitBreakerType
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        displayDepth:
            expose: true
            access_type: public_method
            serialized_name: DisplayDepth
            accessor:
                getter: getDisplayDepth
                setter: setDisplayDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayDiameter:
            expose: true
            access_type: public_method
            serialized_name: DisplayDiameter
            accessor:
                getter: getDisplayDiameter
                setter: setDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        includedComponent:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponent
            accessor:
                getter: getIncludedComponent
                setter: setIncludedComponent
            xml_list:
                inline: true
                entry_name: IncludedComponent
            type: array<string>
        maximumCurrent:
            expose: true
            access_type: public_method
            serialized_name: MaximumCurrent
            accessor:
                getter: getMaximumCurrent
                setter: setMaximumCurrent
            type: App\Library\Amazon\Classes\AmperageDimensionType
        numberOfStrands:
            expose: true
            access_type: public_method
            serialized_name: NumberOfStrands
            accessor:
                getter: getNumberOfStrands
                setter: setNumberOfStrands
            type: string
        plugInstallationType:
            expose: true
            access_type: public_method
            serialized_name: PlugInstallationType
            accessor:
                getter: getPlugInstallationType
                setter: setPlugInstallationType
            type: string
        plugType:
            expose: true
            access_type: public_method
            serialized_name: PlugType
            accessor:
                getter: getPlugType
                setter: setPlugType
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        specificUses:
            expose: true
            access_type: public_method
            serialized_name: SpecificUses
            accessor:
                getter: getSpecificUses
                setter: setSpecificUses
            type: string
        strandDiameter:
            expose: true
            access_type: public_method
            serialized_name: StrandDiameter
            accessor:
                getter: getStrandDiameter
                setter: setStrandDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        switchStyle:
            expose: true
            access_type: public_method
            serialized_name: SwitchStyle
            accessor:
                getter: getSwitchStyle
                setter: setSwitchStyle
            type: string
        switchType:
            expose: true
            access_type: public_method
            serialized_name: SwitchType
            accessor:
                getter: getSwitchType
                setter: setSwitchType
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        volume:
            expose: true
            access_type: public_method
            serialized_name: Volume
            accessor:
                getter: getVolume
                setter: setVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: float
